# collada.polylist.BoundPolylist

class collada.polylist.BoundPolylist(pl, matrix, materialnodebysymbol)

  A polylist bound to a transform matrix and materials mapping.

  - If `P` is an instance of `collada.polylist.BoundPolylist`, then `len(P)` returns the number of polygons in the set. `P[i]` returns the ith polygon in the set.

  __init__(pl, matrix, materialnodebysymbol)

    Create a bound polylist from a polylist, transform and material mapping. This gets created when a polylist is instantiated in a scene. Do not create this manually.

  Methods

  `__init__`(pl, matrix, materialnodebysymbol) | Create a bound polylist from a polylist, transform and material mapping.
  `polygons`() | Iterate through all the polygons contained in the set.
  `shapes`() | Iterate through all the polygons contained in the set.
  `triangleset`() | This performs a simple triangulation of the polylist using the fanning method.

  Attributes

  `normal` | Read-only numpy.array of size Nx3 where N is the number of normal values in the primitive's normal source array.
  `normal_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.
  `texcoord_indexset` | Read-only tuple of texture coordinate index arrays.
  `texcoordset` | Read-only tuple of texture coordinate arrays.
  `vertex` | Read-only numpy.array of size Nx3 where N is the number of vertex points in the primitive's vertex source array.
  `vertex_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.